package com.zd.laboratory.service;

import com.zd.laboratory.onemachine.domain.ApkLog;
import com.zd.laboratory.onemachine.domain.ApkLogVo;
import com.zd.laboratory.onemachine.domain.ApkUpload;
import com.zd.laboratory.onemachine.domain.ApkUploadVo;

import java.util.List;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/7
 */
public interface ApkFileUpLoadService {

    /**
     * 新增版本升级(文件和日志一起上传)
     *
     * @param apkUploadVo
     * @return 结果
     */
    public int insertApkFileUpLoad(ApkUploadVo apkUploadVo);

    /**
     * 上传apk包
     *
     * @param apkUpload
     * @return 结果
     */
    public int insertApkUpLoad(ApkUpload apkUpload);


    /**
     * 查询日志列表
     *
     * @param apkLogVo
     * @return 楼栋集合
     */
    public List <ApkLogVo> selectApkLogList(ApkLogVo apkLogVo);


    /**
     * 查询apk包列表
     *
     * @param apkUploadVo
     * @return 楼栋集合
     */
    public List <ApkUploadVo> selectApkFileUpLoadList(ApkUploadVo apkUploadVo);


    /**
     * log新增升级日志
     *
     * @param apkLogVo
     * @return 结果
     */
    public int addApkLog(ApkLogVo apkLogVo);


    /**
     * log修改升级日志
     *
     * @param apkLogVo
     * @return 结果
     */
    public int updateApkLog(ApkLogVo apkLogVo);



    /**
     * 查询apk日志详情
     *
     * @param apkLogVo
     * @return 楼栋集合
     */
    public ApkLogVo selectApkLogDetail(ApkLogVo apkLogVo);


    /**
     * log修改升级日志状态
     *
     * @param apkLog
     * @return 结果
     */
    public int updateApkLogByStatus(ApkLog apkLog);

    /**
     * 删除apk上传的包信息
     *
     * @param apkId apk需要对应上传文件主键
     * @return 结果
     */
    public int deleteApkUploadByIds(Long apkId);

}
